Index: palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- palm/trunk/SOURCE/advec_ws.f90	(revision 859)
+++ palm/trunk/SOURCE/advec_ws.f90	(revision 861)
@@ -2091,10 +2197,10 @@
        IMPLICIT NONE
 
-       INTEGER ::  i, j, k, tn = 0
-       REAL    ::  gu, gv, flux_d, diss_d, v_comp, w_comp
+       INTEGER ::  i, j, k, tn = 0,  k_ppp, k_pp, k_mm
+       REAL    ::  gu, gv, flux_d, diss_d, v_comp, w_comp, div
        REAL, DIMENSION(nzb+1:nzt) :: swap_flux_y_local_u, swap_diss_y_local_u
-       REAL, DIMENSION(nzb+1:nzt,nys:nyn) :: swap_flux_x_local_u,             &
+       REAL, DIMENSION(nzb+1:nzt,nys:nyn) :: swap_flux_x_local_u,           &
                                              swap_diss_x_local_u
-       REAL, DIMENSION(nzb:nzt+1) :: flux_t, diss_t, flux_r, diss_r, flux_n,  &
+       REAL, DIMENSION(nzb:nzt) :: flux_t, diss_t, flux_r, diss_r, flux_n,  &
                                      diss_n, u_comp
  
